
#include <libsaria/library.h>
#include <ocarina/songlist.h>

gboolean songlist_filter_func(GtkTreeModel *model, GtkTreeIter *iter, gpointer data)
{
	ino_t inode;
	gtk_tree_model_get(model, iter, 0, &inode, -1);
	return libsaria::library::is_visible(inode);
}

void SongList::refilter()
{
	freeze();
	gtk_tree_model_filter_refilter(GTK_TREE_MODEL_FILTER(filter));
	thaw();
	set_label_text();
}
