
#include <ocarina/queue.h>
#include <ocarina/body.h>
#include <ocarina/gtk.h>
#include <ocarina/songlist.h>

#include <libsaria/queue.h>

#include <list>
using namespace std;

static SongList queue_list;
static struct SongListFuncs queue_funcs;
static list <MenuItem> queue_menu;
unsigned int queue_index;;

namespace ocarina
{

	void queue::refresh()
	{
		queue_list.clear();
		if (libsaria::queue::size() > 0) {
			queue_list.fill();
			show_page(queue_index);
		} else
			hide_page(queue_index);
	}

	void queue::init()
	{
		queue_funcs.for_each = libsaria::queue::for_each;
		queue_funcs.size = libsaria::queue::size;

		queue_list.init("Queue", &queue_funcs, &queue_menu, false);
		queue_index = add_page(queue_list.get_label(),
				       queue_list.get_window(), true);
		ocarina::queue::refresh();
	}

};
